# Uses of Class
org.apache.sysds.runtime.ooc.cache.BlockEntry

Packages that use BlockEntry
Package
Description
org.apache.sysds.runtime.ooc.cache
org.apache.sysds.runtime.ooc.cache.eviction
org.apache.sysds.runtime.ooc.cache.io
org.apache.sysds.runtime.ooc.cache.legacy
org.apache.sysds.runtime.ooc.cache.packed

## Uses of BlockEntry in org.apache.sysds.runtime.ooc.cache

Methods in org.apache.sysds.runtime.ooc.cache that return BlockEntry
Modifier and Type
Method
Description
`BlockEntry`
OOCCache.UnpinHandle.`entry()`
`BlockEntry`
OOCCache.`pinIfLive(long sId, long tId, MemoryAllowance allowance)`
Pins an item backed by an allowance if it is already live in cache.
`BlockEntry`
OOCCacheImpl.`pinIfLive(long sId, long tId, MemoryAllowance allowance)`
`BlockEntry`
OOCCache.`putPinned(long sId, long tId, Object data, long size, MemoryAllowance allowance)`
Adds a new pinned entry whose bytes are already owned by the given allowance.
`default BlockEntry`
OOCCache.`putPinned(BlockKey key, Object data, long size, MemoryAllowance allowance)`
Adds a new pinned entry whose bytes are already owned by the given allowance.
`BlockEntry`
OOCCacheImpl.`putPinned(long sId, long tId, Object data, long size, MemoryAllowance allowance)`
Methods in org.apache.sysds.runtime.ooc.cache that return types with arguments of type BlockEntry
Modifier and Type
Method
Description
`OOCFuture<BlockEntry>`
OOCCache.`pin(long sId, long tId, MemoryAllowance allowance)`
Pins an item backed by an allowance.
`default OOCFuture<BlockEntry>`
OOCCache.`pin(BlockKey key, MemoryAllowance allowance)`
Pins an item backed by an allowance.
`OOCFuture<BlockEntry>`
OOCCacheImpl.`pin(long sId, long tId, MemoryAllowance allowance)`
`OOCFuture<BlockEntry>`
OOCCache.`pinAdmitted(long sId, long tId, MemoryAllowance allowance)`
Pins an item backed by an allowance.
`default OOCFuture<BlockEntry>`
OOCCache.`pinAdmitted(BlockKey key, MemoryAllowance allowance)`
Pins an item backed by an allowance.
`OOCFuture<BlockEntry>`
OOCCacheImpl.`pinAdmitted(long sId, long tId, MemoryAllowance allowance)`
Methods in org.apache.sysds.runtime.ooc.cache with parameters of type BlockEntry
Modifier and Type
Method
Description
`int`
OOCCache.`dereference(BlockEntry entry)`
Dereferencing allows an entry to be forgotten if no further reference is held.
`int`
OOCCacheImpl.`dereference(BlockEntry entry)`
`int`
OOCCache.`reference(BlockEntry entry)`
Referencing a pinned entry guarantees that its key remains in the cache until dereferenced.
`int`
OOCCacheImpl.`reference(BlockEntry entry)`
`OOCCache.UnpinHandle`
OOCCache.`unpin(BlockEntry entry, MemoryAllowance allowance)`
Unpins an item that is still backed by the given allowance.
`OOCCache.UnpinHandle`
OOCCacheImpl.`unpin(BlockEntry entry, MemoryAllowance allowance)`

## Uses of BlockEntry in org.apache.sysds.runtime.ooc.cache.eviction

Method parameters in org.apache.sysds.runtime.ooc.cache.eviction with type arguments of type BlockEntry
Modifier and Type
Method
Description
`void`
EvictController.`findEvictionCandidates(MaskedOnceArrayList<BlockEntry> list, PriorityQueue<IndexedObjectPair<BlockEntry>> candidates, int k, long estimatedReuseTimestamp)`
`void`
EvictController.`findEvictionCandidates(MaskedOnceArrayList<BlockEntry> list, PriorityQueue<IndexedObjectPair<BlockEntry>> candidates, int k, long estimatedReuseTimestamp)`

## Uses of BlockEntry in org.apache.sysds.runtime.ooc.cache.io

Methods in org.apache.sysds.runtime.ooc.cache.io that return types with arguments of type BlockEntry
Modifier and Type
Method
Description
`OOCFuture<BlockEntry>`
OOCIOHandler.`scheduleRead(BlockEntry block)`
`OOCFuture<BlockEntry>`
OOCMatrixIOHandler.`scheduleRead(BlockEntry block)`
Methods in org.apache.sysds.runtime.ooc.cache.io with parameters of type BlockEntry
Modifier and Type
Method
Description
`CompletableFuture<Boolean>`
OOCIOHandler.`scheduleDeletion(BlockEntry block)`
`CompletableFuture<Boolean>`
OOCMatrixIOHandler.`scheduleDeletion(BlockEntry block)`
`CompletableFuture<Void>`
OOCIOHandler.`scheduleEviction(BlockEntry block)`
`CompletableFuture<Void>`
OOCMatrixIOHandler.`scheduleEviction(BlockEntry block)`
`OOCFuture<BlockEntry>`
OOCIOHandler.`scheduleRead(BlockEntry block)`
`OOCFuture<BlockEntry>`
OOCMatrixIOHandler.`scheduleRead(BlockEntry block)`

## Uses of BlockEntry in org.apache.sysds.runtime.ooc.cache.legacy

Methods in org.apache.sysds.runtime.ooc.cache.legacy that return BlockEntry
Modifier and Type
Method
Description
`BlockEntry`
OOCCacheScheduler.`putAndPin(BlockKey key, Object data, long size)`
Places a new block in the cache and returns a pinned handle.
`BlockEntry`
OOCLRUCacheScheduler.`putAndPin(BlockKey key, Object data, long size)`
`BlockEntry`
OOCCacheScheduler.`putAndPinSourceBacked(BlockKey key, Object data, long size, OOCIOHandler.SourceBlockDescriptor descriptor)`
Places a new source-backed block in the cache and returns a pinned handle.
`BlockEntry`
OOCLRUCacheScheduler.`putAndPinSourceBacked(BlockKey key, Object data, long size, OOCIOHandler.SourceBlockDescriptor descriptor)`
`default BlockEntry`
OOCCacheScheduler.`tryRequest(BlockKey key)`
Tries to request a single block from the cache.
Methods in org.apache.sysds.runtime.ooc.cache.legacy that return types with arguments of type BlockEntry
Modifier and Type
Method
Description
`CompletableFuture<List<BlockEntry>>`
OOCCacheScheduler.`request(List<BlockKey> keys)`
Requests a list of blocks from the cache that must be available at the same time.
`CompletableFuture<BlockEntry>`
OOCCacheScheduler.`request(BlockKey key)`
Requests a single block from the cache.
`CompletableFuture<List<BlockEntry>>`
OOCLRUCacheScheduler.`request(List<BlockKey> keys)`
`CompletableFuture<List<BlockEntry>>`
OOCLRUCacheScheduler.`request(List<BlockKey> keys, boolean onlyIfAvailable)`
`CompletableFuture<BlockEntry>`
OOCLRUCacheScheduler.`request(BlockKey key)`
`CompletableFuture<List<BlockEntry>>`
OOCCacheScheduler.`requestAnyOf(List<BlockKey> keys, int n, List<BlockKey> selectionOut)`
Requests any n entries of the list of blocks, preferring an available item.
`CompletableFuture<List<BlockEntry>>`
OOCLRUCacheScheduler.`requestAnyOf(List<BlockKey> keys, int n, List<BlockKey> selectionOut)`
`Collection<BlockEntry>`
OOCCacheScheduler.`snapshot()`
Creates a snapshot of the cache.
`Collection<BlockEntry>`
OOCLRUCacheScheduler.`snapshot()`
`List<BlockEntry>`
OOCCacheScheduler.`tryRequest(List<BlockKey> keys)`
Tries to request a list of blocks from the cache that must be available at the same time.
`List<BlockEntry>`
OOCLRUCacheScheduler.`tryRequest(List<BlockKey> keys)`
`List<BlockEntry>`
OOCCacheScheduler.`tryRequestAnyOf(List<BlockKey> keys, int n, List<BlockKey> selectionOut)`
Requests any n entries of the list of blocks, preferring an available item.
`List<BlockEntry>`
OOCLRUCacheScheduler.`tryRequestAnyOf(List<BlockKey> keys, int n, List<BlockKey> selectionOut)`
Methods in org.apache.sysds.runtime.ooc.cache.legacy with parameters of type BlockEntry
Modifier and Type
Method
Description
`void`
OOCCacheScheduler.`pin(BlockEntry entry)`
Pins a BlockEntry in cache to prevent eviction.
`void`
OOCLRUCacheScheduler.`pin(BlockEntry entry)`
`void`
OOCCacheScheduler.`unpin(BlockEntry entry)`
Unpins a pinned block.
`void`
OOCLRUCacheScheduler.`unpin(BlockEntry entry)`

## Uses of BlockEntry in org.apache.sysds.runtime.ooc.cache.packed

Methods in org.apache.sysds.runtime.ooc.cache.packed that return BlockEntry
Modifier and Type
Method
Description
`BlockEntry`
OOCPackedCache.`pinIfLive(long sId, long tId, MemoryAllowance allowance)`
`BlockEntry[]`
OOCPackedCache.`putPackPinned(long sId, long[] tIds, Object[] data, long[] sizes, int off, int len, MemoryAllowance allowance)`
`BlockEntry`
OOCPackedCache.`putPinned(long sId, long tId, Object data, long size, MemoryAllowance allowance)`
`BlockEntry`
OOCPackedCache.`putSealedPackPinned(long sId, long[] tIds, Object[] data, long[] sizes, int off, int len, MemoryAllowance allowance)`
Methods in org.apache.sysds.runtime.ooc.cache.packed that return types with arguments of type BlockEntry
Modifier and Type
Method
Description
`OOCFuture<BlockEntry>`
OOCPackedCache.`pin(long sId, long tId, MemoryAllowance allowance)`
`OOCFuture<BlockEntry>`
OOCPackedCache.`pinAdmitted(long sId, long tId, MemoryAllowance allowance)`
Methods in org.apache.sysds.runtime.ooc.cache.packed with parameters of type BlockEntry
Modifier and Type
Method
Description
`int`
OOCPackedCache.`dereference(BlockEntry entry)`
`int`
OOCPackedCache.`reference(BlockEntry entry)`
`OOCCache.UnpinHandle`
OOCPackedCache.`unpin(BlockEntry entry, MemoryAllowance allowance)`